package com.yuandian.dataflow.controller;

import java.nio.ByteBuffer;

import com.alipay.sofa.jraft.Closure;
import com.alipay.sofa.jraft.entity.Task;
 
import com.yuandian.dataflow.Server;
import com.yuandian.dataflow.projo.Response;
import com.yuandian.dataflow.statemachine.RaftClosure;

import lombok.extern.slf4j.Slf4j;

import org.apache.commons.lang.ObjectUtils.Null;
import org.apache.commons.logging.Log;
 
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import com.alipay.sofa.jraft.Node;

 
@Slf4j
@Controller
public class TaskLog {

	// private static final Logger log = LoggerFactory.getLogger(TaskLog.class);
	private static Node node = Server.GetNode();

    @GetMapping(path = "/test")
	public ResponseEntity<Response> Processing(@RequestBody int status) {

		Task task = new Task();
		

		log.error(node.toString());
 
		RaftClosure done = new RaftClosure();
		task.setData(ByteBuffer.wrap("hello".getBytes()));
        task.setDone(done);
		Server.GetNode().apply(task);

		Response response  = new Response();
		
		response.Code = HttpStatus.OK;
		response.Message = HttpStatus.OK.toString();
		return new ResponseEntity<Response>(response, HttpStatus.OK);
	}

	@GetMapping(path = "/test2")
	public ResponseEntity<Response> MongodbTest(@RequestBody int status) { 

		Response response  = new Response();
		return new ResponseEntity<Response>(response, HttpStatus.OK);
	}
}
